package com.persagy.bdtp.adm.controller;

import com.persagy.bdtp.adm.common.AdmResult;
import com.persagy.bdtp.adm.entity.db.AdmFile;
import com.persagy.bdtp.adm.service.IAdmFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * ADM文件服务
 */
@RestController
@RequestMapping("/file")
public class FileController {

    @Autowired
    IAdmFileService iAdmFileService;

    /**
     * 保存CAD文件信息
     * @param admFiles
     * @return
     */
    @PostMapping("/saveCadFileInfo")
    public AdmResult<Void> saveCadFileInfo(@RequestBody List<AdmFile> admFiles){
        iAdmFileService.saveList(admFiles);
        return AdmResult.success(null);
    }
}
