package com.persagy.bdtp.adm.service.impl;

import com.persagy.bdtp.adm.dao.AdmFileMapper;
import com.persagy.bdtp.adm.entity.db.AdmFile;
import com.persagy.bdtp.adm.service.IAdmFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
public class IAdmFileServiceImpl implements IAdmFileService {
    @Autowired
    AdmFileMapper fileMapper;

    @Transactional
    @Override
    public void saveList(List<AdmFile> admFiles) {
        for (AdmFile admFile : admFiles) {
            admFile.setFilePath(admFile.getFileId());
            admFile.setRefObjId(admFile.getFloorId());
            fileMapper.insert(admFile);
        }
    }
}
